Skip to main content
POST
/
legal
/
v1
/
sec-filing
Search EDGAR filings and entity history
curl --request POST \
  --url https://api.case.dev/legal/v1/sec-filing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "search",
  "query": "<string>",
  "formTypes": [
    "<string>"
  ],
  "ticker": "<string>",
  "entity": "<string>",
  "cik": "<string>",
  "dateAfter": "2023-12-25",
  "dateBefore": "2023-12-25",
  "limit": 25,
  "offset": 0
}
'
{
  "type": "search",
  "query": "<string>",
  "entity": "<string>",
  "ticker": "<string>",
  "cik": "<string>",
  "formTypes": [
    "<string>"
  ],
  "dateAfter": "2023-12-25",
  "dateBefore": "2023-12-25",
  "limit": 123,
  "offset": 123,
  "total": 123,
  "filings": [
    {
      "accessionNumber": "<string>",
      "formType": "<string>",
      "filedAt": "2023-12-25",
      "periodOfReport": "2023-12-25",
      "entity": {
        "name": "<string>",
        "cik": "<string>",
        "ticker": "<string>",
        "sic": "<string>",
        "sicDescription": "<string>",
        "stateOfIncorporation": "<string>",
        "entityType": "<string>"
      },
      "description": "<string>",
      "documents": [
        {
          "type": "<string>",
          "description": "<string>",
          "url": "<string>"
        }
      ],
      "snippet": "<string>",
      "secUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json

SEC filing search or entity lookup parameters

type
enum<string>
required

Run a full-text search or fetch a single entity filing history

Available options:
search,
entity
query
string

Full-text SEC search query (required for type: search)

Required string length: 2 - 1000
formTypes
string[]

Optional SEC form type filter such as 10-K, 10-Q, 8-K, or 4

ticker
string

Optional company ticker. Valid for both search and entity lookups.

entity
string

Optional entity filter passed through to EDGAR full-text search

cik
string

CIK for entity lookups. Accepts padded or unpadded digits.

dateAfter
string<date>

Optional lower filing date bound (YYYY-MM-DD)

dateBefore
string<date>

Optional upper filing date bound (YYYY-MM-DD)

limit
integer
default:25

Maximum filings to return

Required range: 1 <= x <= 100
offset
integer
default:0

Result offset for pagination

Required range: x >= 0

Response

SEC filings retrieved successfully

type
enum<string>
Available options:
search,
entity
query
string | null
entity
string | null
ticker
string | null
cik
string | null
formTypes
string[]
dateAfter
string<date> | null
dateBefore
string<date> | null
limit
integer
offset
integer
total
integer
filings
object[]